## preludedb-path-selection

preludedb-path-selection

## Functions

int | preludedb_selected_path_new ()
int | preludedb_selected_path_new_string ()
void | preludedb_selected_path_destroy ()
preludedb_selected_path_flags_t | preludedb_selected_path_get_flags ()
int | preludedb_path_selection_new ()
void | preludedb_path_selection_destroy ()
int | preludedb_path_selection_add ()
preludedb_selected_path_t * | preludedb_path_selection_get_next ()
unsigned int | preludedb_path_selection_get_count ()

## Types and Values

enum | preludedb_selected_path_flags_t
typedef | preludedb_path_selection_t
typedef | preludedb_selected_path_t

## Description

## Functions

### preludedb_selected_path_new ()

    int
    preludedb_selected_path_new (preludedb_selected_path_t **selected_path,
                                 preludedb_selected_object_t *object,
                                 preludedb_selected_path_flags_t flags);

### preludedb_selected_path_new_string ()

    int
    preludedb_selected_path_new_string (preludedb_selected_path_t **selected_path,
                                        const char *str);

### preludedb_selected_path_destroy ()

    void
    preludedb_selected_path_destroy (preludedb_selected_path_t *selected_path);

### preludedb_selected_path_get_flags ()

    preludedb_selected_path_flags_t
    preludedb_selected_path_get_flags (preludedb_selected_path_t *selected_path);

### preludedb_path_selection_new ()

    int
    preludedb_path_selection_new (preludedb_t *db,
                                  preludedb_path_selection_t **path_selection);

### preludedb_path_selection_destroy ()

    void
    preludedb_path_selection_destroy (preludedb_path_selection_t *path_selection);

### preludedb_path_selection_add ()

    int
    preludedb_path_selection_add (preludedb_path_selection_t *path_selection,
                                  preludedb_selected_path_t *selected_path);

### preludedb_path_selection_get_next ()

    preludedb_selected_path_t *
    preludedb_path_selection_get_next (preludedb_path_selection_t *path_selection,
                                       preludedb_selected_path_t *selected_path);

### preludedb_path_selection_get_count ()

    unsigned int
    preludedb_path_selection_get_count (preludedb_path_selection_t *path_selection);

## Types and Values

### enum preludedb_selected_path_flags_t

#### Members

PRELUDEDB_SELECTED_PATH_FLAGS_GROUP_BY |  |
PRELUDEDB_SELECTED_PATH_FLAGS_ORDER_ASC |  |
PRELUDEDB_SELECTED_PATH_FLAGS_ORDER_DESC |  |

### preludedb_path_selection_t

    typedef struct preludedb_path_selection preludedb_path_selection_t;

### preludedb_selected_path_t

    typedef struct preludedb_selected_path preludedb_selected_path_t;